DEVNAME(3)

NAME
devname, devname_r - get device name

LIBRARY
libc

SYNOPSIS
#include <sys/stat.h>
#include <stdlib.h>
char *
devname(dev_t dev, mode_t type);
char *
devname_r(dev_t dev, mode_t type, char *buf, int len);

DESCRIPTION
The devname() function returns a pointer to the name of the block or character device in “/dev” with a device number of dev, and a file type matching the one encoded in type which must be one of S_IFBLK or S_IFCHR. If no device matches the specified values, or no information is available, NULL is returned.

The devname() function uses a static buffer, which will be overwritten on subsequent calls. The devname_r() functions takes a buffer and length as arguments to avoid this problem.

The traditional display for applications when no device is found is the string “??”.

SEE ALSO
stat(2), dev_mkdb(8)

HISTORY
The devname() function call appeared in 4.4BSD.